#ifndef _XSTRDUP_H_
#define _XSTRDUP_H_

/*
   *
   * xstrdup.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


char* xstrdup(const char* string)
{
	char* copy = strdup(string);
	if (copy == NULL)
	    {
		fprintf (stderr, _STRING_RED_": xstrdup()\n", strerror(errno));

		fprintf(stderr, "Last called function: "_STRING_RED_"\n\n", 
			running_function);

		exit_prog(EXIT_FALSE);
	    }
	else
	    return copy;
}



/* NIN */

#endif /* _XSTRDUP_H_ */

