#ifndef _HTTP_BODYS_H_
#define _HTTP_BODYS_H_

/*
   *
   * http_bodys.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



static char* http_bad_request_body =
	"%s"LF
	LF
	"<html>"LF
	LF
	"   <body>"LF
	"      <h1>Bad Request <i>%s</i></h1>"LF
	"      <p>Your browser sent a request that this server could not uderstand.</p>"LF
	"      <hr>"LF
	"      <address>%s v%s at %s Port %d</address>"LF
	"   </body>"LF
	LF
	"</html>"LF;


static char* http_not_found_body =
	"%s"LF
	LF
	"<html>"LF
	LF
	"   <body>"LF
	"      <h1>Not Found <i>%s</i></h1>"LF
	"      <p>The requested URL was not found on this server.</p>"LF
	"      <hr>"LF
	"      <address>%s v%s at %s Port %d</address>"LF
	"   </body>"LF
	LF
	"</html>"LF;


static char* http_bad_method_body =
	"%s"LF
	LF
	"<html>"LF
	LF
	"   <body>"LF
	"      <h1>Method <i>%s</i> Not Imlemented</h1>"LF
	"      <p>The requested method is not imlemented.</p>"LF
	"      <hr>"LF
	"      <address>%s v%s at %s Port %d</address>"LF
	"   </body>"LF
	LF
	"</html>"LF;


static char* http_interface_not_found_body =
	"%s"LF
	LF
	"<html>"LF
	LF
	"   <body>"LF
	"      <h1>Interface <i>%s</i> Not Found</h1>"LF
	"      <p>The requested interface/device was not found on this server.</p>"LF
	"      <hr>"LF
	"      <address>%s v%s at %s Port %d</address>"LF
	"  </body>"LF
	LF
	"</html>"LF;


static char* http_server_info_body =
	"%s"LF
	LF
	"<html>"LF
	"   <head>"LF
	LF
	"      <title>Bytes Counter HTML output :: server info</title>"LF
	"      <style type=\"text/css\">"LF
	"                  A{color:#404040;text-decoration:none;}"LF
	"                  A:hover{color:#000000;background:#E0E0E0; text-decoration:underline;}"LF
	"      </style>"LF
	LF
	"   </head>"LF
	LF
	"   <body bgcolor=\"#FFFFFF\" text=\"#000000\">
"LF
	"      <table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#FFFFFF\" bgcolor=\"#FFFFFF\" height=\"29\" width=\"469\">"LF
	"         <tr>"LF
	"         <td bgcolor=\"#EEEEEE\" bordercolor=\"#000000\" height=\"27\" width=\"185\"><b><font color=\"#FFFFFF\">&nbsp;</font></b>
"LF
	"         <b><a href=\"/server-info\" style=\"color: #000000\">bserver v%s</a><font color=\"#000000\">
"LF
	"         </font><font color=\"#FFFFFF\">&nbsp;</font></b></td>
"LF
	"         <td bgcolor=\"#000000\" height=\"27\" width=\"351\">
"LF
	LF
	"      <table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"350\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EFEFEF\" width=\"340\">
"LF
	"                     &nbsp;
"LF
	"                     <a href=\"/\">main page</a> | 
"LF
	"                     <a href=\"/%s/interface-info\">interface info</a> | 
"LF
	"                     <a href=\"/setup\">setup</a> | 
"LF
	"                     <a href=\"/about\">about :-)</a> | 
"LF
	"                     <a href=\"%s\">home page</a>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <div align=\"left\">
"
LF
	"        <table height=\"79\" width=\"800\" border=\"0\">
"
LF
	"          <tbody>
"
LF
	"            <tr>
"
LF
	"              <td width=\"1\" height=\"79\"><img alt=\"Linux penguin ;-)\" src=\"/penguin.gif\" border=\"0\"></td>
"
LF
	"              <td width=\"674\" height=\"67\">Copyright 2002-2003 &copy; by %s<br>"
LF
	"                E-mail: <b> <font color=\"#ff0000\"><a href=\"mailto:%s?Subject=Bytes Counter\">%s<br>
"
LF
	"                </a></font></b>
"
LF
	"                Web: <b><font color=\"#ff0000\"><a href=\"%s\">%s</a></font></b></td>
"
LF
	"            </tr>
"
LF
	"          </tbody>
"
LF
	"        </table>
"
LF
	"      </div>
"
LF
	LF
	"      <p>&nbsp;.::<span style=\"background-color: #F7F7F7\">  <b>M</b>achine info </span>::.<br>
"
LF
	"      Running on an: <font color=\"#FF0000\"><b>%s</b></font><br>
"
LF
	"      Machine class:<b><font color=\"#FF0000\"> </font><font color=\"#808000\"> %s</font></b><font color=\"#FF0000\"><br>
"
LF
	"      </font>Processor #1:<font color=\"#800080\"><b> ~%.1f</b></font> MHz<br>
"
LF
	"      </p>
"
LF
	"      <p>&nbsp;.::<span style=\"background-color: #F7F7F7\">  <b>B</b>server info </span>::.
"
LF
	"      <b><br>
"
LF
	"      </b>Memory useing:<b> <font color=\"#008000\"> %d</font></b> KB<br>
"
LF
	"      Process ID:<b> <font color=\"#0000FF\"> %d</font></b><br>
"
LF
	"      </p>
"
LF
	"      <p>&nbsp;.:: <span style=\"background-color: #F7F7F7\"><b>O</b>ther avilable
"
LF
	"      interfaces </span>::.<br>
"
LF
	"      Interfaces:<b><font color=\"#800000\"> %s</font></b></p>
"
LF
	"   </body>
"
LF
	
LF
	"</html>"
LF;


static char* http_interface_info_body =
	"%s"LF
	LF
	"<html>
"
	LF
	"   <head>
"
	LF

	"      <title>Bytes Counter HTML output :: interface info</title>
"LF
	"      <style type=\"text/css\">
"LF
	"                  A{color:#404040;text-decoration:none;}
"LF
	"                  A:hover{color:#000000;background:#E0E0E0; text-decoration:underline;}
"LF
	"      </style>
"LF
	LF
	"   </head>
"LF

	LF
	"   <body bgcolor=\"#FFFFFF\" text=\"#000000\">
"LF
	"      <table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#FFFFFF\" bgcolor=\"#FFFFFF\" height=\"29\" width=\"469\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EEEEEE\" bordercolor=\"#000000\" height=\"27\" width=\"185\"><b><font color=\"#FFFFFF\">&nbsp;</font></b>
"LF
	"         <b><a href=\"/server-info\" style=\"color: #000000\">bserver v%s</a><font color=\"#000000\">
"LF
	"         </font><font color=\"#FFFFFF\">&nbsp;</font></b></td>
"LF
	"         <td bgcolor=\"#000000\" height=\"27\" width=\"351\">
"LF
	LF
	"      <table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"350\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EFEFEF\" width=\"340\">
"LF
	"                     &nbsp;
"LF
	"                     <a href=\"/\">main page</a> | 
"LF
	"                     <a href=\"/%s/interface-info\">interface info</a> | 
"LF
	"                     <a href=\"/setup\">setup</a> | 
"LF
	"                     <a href=\"/about\">about :-)</a> | 
"LF
	"                     <a href=\"%s\">home page</a>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <br>
"LF
        "      <form method=\"GET\">Interface: "LF
	"      <input type=\"text\" name=\"interface\" value=\"%s\" size=\"4\"> "LF
	"      <input type=\"submit\" value=\"Ok\"></from> on "LF
	LF
	"      <b><font color=\"#FF0000\">%s</font></b><br></p>
"LF
	"      Interface Encap: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Driver: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Bus name: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      IP address: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      PtoP IP address: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Netmask: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Broadcast: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      HW address: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      IP class: <b><font color=\"#FF0000\">%c</font></b><br>
"LF
	"      PtoP IP class: <b><font color=\"#FF0000\">%c</font></b><br>
"LF
	"      Metric: <b><font color=\"#FF0000\">%d</font></b><br>
"LF
	"      Mtu: <b><font color=\"#FF0000\">%d</font></b><br>
"LF
	"      Irq: <b><font color=\"#FF0000\">%d</font></b><br>
"LF
	"      Dma: <b><font color=\"#FF0000\">%d</font></b><br>
"LF
	"      Flags: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      <p></p>
"LF
	"   </body>
"LF
	LF
	"</html>
"LF;


static char* http_about_body =
	"%s"LF
	LF
	"<html>
"
	LF
	"   <head>
"
	LF

	"      <title>Bytes Counter HTML output :: about this server</title>
"LF
	"      <style type=\"text/css\">
"LF
	"                  A{color:#404040;text-decoration:none;}
"LF
	"                  A:hover{color:#000000;background:#E0E0E0; text-decoration:underline;}
"LF
	"      </style>
"LF
	LF
	"   </head>
"LF

	LF
	"   <body bgcolor=\"#FFFFFF\" text=\"#000000\">
"LF
	"      <table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#FFFFFF\" bgcolor=\"#FFFFFF\" height=\"29\" width=\"469\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EEEEEE\" bordercolor=\"#000000\" height=\"27\" width=\"185\"><b><font color=\"#FFFFFF\">&nbsp;</font></b>
"LF
	"         <b><a href=\"/server-info\" style=\"color: #000000\">bserver v%s</a><font color=\"#000000\">
"LF
	"         </font><font color=\"#FFFFFF\">&nbsp;</font></b></td>
"LF
	"         <td bgcolor=\"#000000\" height=\"27\" width=\"351\">
"LF
	LF
	"      <table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"350\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EFEFEF\" width=\"340\">
"LF
	"                     &nbsp;
"LF
	"                     <a href=\"/\">main page</a> | 
"LF
	"                     <a href=\"/%s/interface-info\">interface info</a> | 
"LF
	"                     <a href=\"/setup\">setup</a> | 
"LF
	"                     <a href=\"/about\">about :-)</a> | 
"LF
	"                     <a href=\"%s\">home page</a>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <br>
"LF
	"      <font size=\"4\">T</font>his software is open source; you can redistribute it and/or modify<br>
"LF
	"      it under the terms of the <b> GNU</b> General Public License as published by<br>
"LF
	"      the Free Software Foundation; either version 2 of the License, or<br>
"LF
	"      (at your option) any later version.<br>
"LF
	"      <br>
"LF
	LF
	"      <font size=\"4\">T</font>his program is distributed <b> WITHOUT ANY WARRANTY</b>; without even the<br>
"LF
	"      implied warranty of <b>MERCHANTABILITY</b> or <b> FITNESS FOR A&nbsp;<br>
"LF
	" PARTICULAR PURPOSE</b>. See the <b> GNU</b> General Public License for details.<br>
"LF
	"      <br>
"LF
	"      <font size=\"4\">L</font>imits for displaying statistics in bytes:<br>
"LF
	"      Maximum value for <b>RX</b> / <b>TX</b> bytes depend from<br>"LF
	"      /usr/include/linux/netdevice.h 
and from machine architecture:<br>"LF
	"      for <font color=\"#008000\">ia64</font> architecture = (unsigned long int) <b><font color=\"#666666\">18446744073709551615</font></b><br>
"LF
	"      for <font color=\"#0000FF\">ia32</font> architecture = (unsigned long int) <font color=\"#666666\"><b>4294967295</b>
"LF
	"      </font>(x86)<br>
"LF
	"   </body>
"LF
	LF
	"</html>
"LF;


static char* http_interface_kb_data_body =
	"%s"LF
	LF
	"<html>
"
	LF
	"   <head>
"
	"      <meta http-equiv=Refresh content=%d>
"LF
	LF

	"      <title>Bytes Counter HTML output :: main</title>
"LF
	"      <style type=\"text/css\">
"LF
	"                  A{color:#404040;text-decoration:none;}
"LF
	"                  A:hover{color:#000000;background:#E0E0E0; text-decoration:underline;}
"LF
	"	</style>
"LF
	LF
	"   </head>
"LF

	LF
	"   <body bgcolor=\"#FFFFFF\" text=\"#000000\">
"LF
	"      <table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#FFFFFF\" bgcolor=\"#FFFFFF\" height=\"29\" width=\"469\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EEEEEE\" bordercolor=\"#000000\" height=\"27\" width=\"185\"><b><font color=\"#FFFFFF\">&nbsp;</font></b>
"LF
	"         <b><a href=\"/server-info\" style=\"color: #000000\">bserver v%s</a><font color=\"#000000\">
"LF
	"         </font><font color=\"#FFFFFF\">&nbsp;</font></b></td>
"LF
	"         <td bgcolor=\"#000000\" height=\"27\" width=\"351\">
"LF
	LF
	"      <table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"350\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EFEFEF\" width=\"340\">
"LF
	"                     &nbsp;
"LF
	"                     <a href=\"/\">main page</a> | 
"LF
	"                     <a href=\"/%s/interface-info\">interface info</a> | 
"LF
	"                     <a href=\"/setup\">setup</a> | 
"LF
	"                     <a href=\"/about\">about :-)</a> | 
"LF
	"                     <a href=\"%s\">home page</a>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <br>
"LF
	"      Interface: <b><font color=\"#FF0000\">%s</font></b> on "LF
	"      <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Interface IP: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
        "      <br>
"LF
	LF
        "      <table cellPadding=5 border=1>
"LF
	"         <tbody>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#008000\">Transmited TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%.1f</b> %s</td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#008000\">Received RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%.1f</b> %s</td>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#0000FF\">Packets TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%llu</b></td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#0000FF\">Packets RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%llu</b></td>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#FF0000\">Errors TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%lu</b></td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#FF0000\">Errors RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%lu</b></td>
"LF
	"         </tbody>
"LF
	"      </table>
"LF
	"	<br>
"LF
	LF
	"      <table border=\"1\" width=\"390\" height=\"51\">
"LF
	"         <tr>
"LF
	"           <td width=\"360\" height=\"19\" colspan=\"3\" bgcolor=\"#EEEEEE\"><p align=\"center\">:: <i><b>Speed</b></i> on an interface ::</td>
"LF
	"         </tr>
"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"center\">&nbsp;</td>
"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">Current:</p></td>
"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">Top:</td>
"LF
	"         </tr>
"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data TX &amp; RX:</td>
"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%.2f</font></b> %s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#FF0000\">%.2f</font></b> %s</td>
"LF
	"         </tr>"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data TX:</td>
"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"><b><font color=\"#0000FF\">%.2f</font></b> %s</p></td>
"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>
"LF
	"         </tr>
"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data RX:</p></td>
"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%.2f</font></b> %s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>
"LF
	"         </tr>
"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets TX &amp; RX:</td>
"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> &nbsp;<b><font color=\"#FF0000\">%llu</font></b> P/s</td>
"LF
	"         </tr>
"LF
	"         <tr>
"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets TX:</p></td>
"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>
"LF
	"         </tr>
"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets RX:</p></td>
"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <p><small>Last updated: <font color=\"#808080\"><b> %s %s</b></font></small><br>
"LF
        "      <form method=\"GET\">&lt; refresh after "LF
	"      <input type=\"text\" name=\"refresh\" value=\"%d\" size=\"1\">"LF
	"      sec.<input type=\"submit\" value=\"Ok\"></from> &gt;</p>
"LF
	"      <p></p>
"LF
	"   </body>
"LF
	LF
	"</html>
"LF;


static char* http_interface_data_body =
	"%s"LF
	LF
	"<html>
"LF
	"   <head>
"
	"      <meta http-equiv=Refresh content=%d>
"LF
	LF

	"      <title>Bytes Counter HTML output :: main</title>
"LF
	"      <style type=\"text/css\">
"LF
	"                  A{color:#404040;text-decoration:none;}
"LF
	"                  A:hover{color:#000000;background:#E0E0E0; text-decoration:underline;}
"LF
	"      </style>
"LF
	LF
	"   </head>
"LF

	LF
	"   <body bgcolor=\"#FFFFFF\" text=\"#000000\">
"LF
	"      <table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" bordercolor=\"#FFFFFF\" bgcolor=\"#FFFFFF\" height=\"29\" width=\"469\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EEEEEE\" bordercolor=\"#000000\" height=\"27\" width=\"185\"><b><font color=\"#FFFFFF\">&nbsp;</font></b>
"LF
	"         <b><a href=\"/server-info\" style=\"color: #000000\">bserver v%s</a><font color=\"#000000\">
"LF
	"         </font><font color=\"#FFFFFF\">&nbsp;</font></b></td>
"LF
	"         <td bgcolor=\"#000000\" height=\"27\" width=\"351\">
"LF
	LF
	"      <table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"350\">
"LF
	"         <tr>
"LF
	"         <td bgcolor=\"#EFEFEF\" width=\"340\">
"LF
	"                     &nbsp;
"LF
	"                     <a href=\"/\">main page</a> | 
"LF
	"                     <a href=\"/%s/interface-info\">interface info</a> | 
"LF
	"                     <a href=\"/setup\">setup</a> | 
"LF
	"                     <a href=\"/about\">about :-)</a> | 
"LF
	"                     <a href=\"%s\">home page</a>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	"         </td>
"LF
	"         </tr>
"LF
	"      </table>
"LF
	LF
	"      <br>
"LF
	"      Interface: <b><font color=\"#FF0000\">%s</font></b> on "LF
	"      <b><font color=\"#FF0000\">%s</font></b><br>
"LF
	"      Interface IP: <b><font color=\"#FF0000\">%s</font></b><br>
"LF
        "      <br>
"LF
	LF
        "      <table cellPadding=5 border=1>
"LF
	"         <tbody>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#008000\">Transmited TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%.1f</b> %s</td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#008000\">Received RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%.1f</b> %s</td>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#0000FF\">Packets TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%llu</b></td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#0000FF\">Packets RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%llu</b></td>
"LF
	"         <tr>
"LF
	"         <td bgColor=#eeeeee width=\"94\"><font color=\"#FF0000\">Errors TX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%lu</b></td>
"LF
	"         <td bgColor=#eeeeee width=\"84\"><font color=\"#FF0000\">Errors RX:</font></td>
"LF
	"         <td bgColor=#eeeeee width=\"74\"><b>%lu</b></td>
"LF
	"         </tbody>
"LF
	"      </table>
"LF
	LF
	"	 <br>
"LF
	"      <table border=\"1\" width=\"390\" height=\"51\">
"LF
	"         <tr>
"LF
	"           <td width=\"360\" height=\"19\" colspan=\"3\" bgcolor=\"#EEEEEE\"><p align=\"center\">:: <i><b>Speed</b></i> on an interface ::</td>
"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"center\">&nbsp;</td>"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">Current:</p></td>"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">Top:</td>"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data TX &amp; RX:</td>"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%d</font></b> %s</p></td>"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#FF0000\">%.2f</font></b> %s</td>"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data TX:</td>"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"><b><font color=\"#0000FF\">%d</font></b> %s</p></td>"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Data RX:</p></td>"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%d</font></b> %s</p></td>"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"19\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets TX &amp; RX:</td>"LF
	"           <td width=\"123\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"19\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> &nbsp;<b><font color=\"#FF0000\">%llu</font></b> P/s</td>
"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets TX:</p></td>"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>
"LF
	"         </tr>"LF
	"         <tr>"LF
	"           <td width=\"132\" height=\"20\" bgcolor=\"#EEEEEE\"><p align=\"left\">Packets RX:</p></td>
"LF
	"           <td width=\"123\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\"> <b><font color=\"#0000FF\">%llu</font></b> P/s</p></td>
"LF
	"           <td width=\"122\" height=\"20\" align=\"left\" bgcolor=\"#EEEEEE\"><p align=\"center\">N/A</td>"LF
	"         </tr>"LF
	"      </table>"LF
	LF
	"      <p><small>Last updated: <font color=\"#808080\"><b> %s %s</b></font></small><br>"LF
        "      <form method=\"GET\">&lt; refresh after "LF
	"      <input type=\"text\" name=\"refresh\" value=\"%d\" size=\"1\">"LF
	"      sec.<input type=\"submit\" value=\"Ok\"></from> &gt;</p>"LF
	"      <p></p>"LF
	"   </body>"LF
	LF
	"</html>"LF;


/* NIN */

#endif /* _HTTP_BODYS_H_ */

