#ifndef _HWADDR_NTOA_H_
#define _HWADDR_NTOA_H_

/*
   *
   * hwaddr_ntoa.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#define EA_REG_SIZE 30


char *hwaddr_ntoa(u_char *ea_reg)
{
	static char char_hwaddr[EA_REG_SIZE];

	sprintf(char_hwaddr, "%02x:%02x:%02x:%02x:%02x:%02x", 
		ea_reg[0], ea_reg[1], ea_reg[2], 
		ea_reg[3], ea_reg[4], ea_reg[5]);

	return(char_hwaddr);
}



/* NIN */

#endif /* _HWADDR_NTOA_H_ */

