#ifndef _INTERFACE_INET_H_
#define _INTERFACE_INET_H_

/*
   *
   * interface_inet.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


/* ** INET ** interfaces name definitions */
#define UNSPEC			"un" 	/* I don't have unspecifed interface */
#define UNSPEC_FIX		"unspec"/* I don't known thats rally name! */
#define LOOPBACK		"lo"
#define ETHERNET		"eth"
#define TOKEN_RING		"tr"
#define IPV6_IN_IPV4		"sit"
#define MODEM_PPP		"ppp"
#define ISDN_PPP		"ippp"
#define SERIAL_LINE		"sl"
#define FDDI			"fddi"
#define ARCNET			"arc"



/* NIN */

#endif /* _INTERFACE_INET_H_ */

