#ifndef _ITOA_H_
#define _ITOA_H_

/*
   *
   * itoa.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



int itoa(int i, char *string)
{
	int power, j;
	
	j = i;
	
	for (power = 1; j >= 10; j /= 10)
	    power *= 10;
	
	for ( ; power > 0; power /= 10)
	    {
		*string++ = '0' + i / power;
		i %= power;
	    }

	*string = '\0';

	return(EXIT_SUCCESS);
}




/* NIN */

#endif /* _ITOA_H_ */

